Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class PropertyInfo

    java.lang.Object
      org.jboss.portal.core.admin.ui.PropertyInfo

    public class PropertyInfo

extends java.lang.Object

Version:
  $Revision: 8785 $
Author:
  Thomas Heute

Field Summary
`static int` | `EXPERIMENTAL_SCOPE` .
`static int` | `PRIVATE_SCOPE` .
`static int` | `PUBLIC_SCOPE` .
`static int` | `READ_ONLY_ACCESS_MODE` .
`static int` | `READ_WRITE_ACCESS_MODE` .

Constructor Summary
`PropertyInfo(java.lang.String name, org.jboss.portal.common.i18n.LocalizedString displayName, org.jboss.portal.common.i18n.LocalizedString description, java.lang.String type, int accessMode, int scope)`

Method Summary
`int` | `getAccessMode()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.lang.String` | `getName()`
`int` | `getScope()`
`java.lang.String` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PUBLIC_SCOPE

    public static final int PUBLIC_SCOPE

  .

  See Also:
    Constant Field Values

### PRIVATE_SCOPE

    public static final int PRIVATE_SCOPE

  .

  See Also:
    Constant Field Values

### EXPERIMENTAL_SCOPE

    public static final int EXPERIMENTAL_SCOPE

  .

  See Also:
    Constant Field Values

### READ_ONLY_ACCESS_MODE

    public static final int READ_ONLY_ACCESS_MODE

  .

  See Also:
    Constant Field Values

### READ_WRITE_ACCESS_MODE

    public static final int READ_WRITE_ACCESS_MODE

  .

  See Also:
    Constant Field Values

Constructor Detail

### PropertyInfo

    public PropertyInfo(java.lang.String name,
                        org.jboss.portal.common.i18n.LocalizedString displayName,
                        org.jboss.portal.common.i18n.LocalizedString description,
                        java.lang.String type,
                        int accessMode,
                        int scope)

Method Detail

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

### getName

    public java.lang.String getName()

### getAccessMode

    public int getAccessMode()

### getType

    public java.lang.String getType()

### getScope

    public int getScope()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD